Recommendations - Generate
Initiates the recommendation generation or computation process for a subscription. This operation is asynchronous. The generated recommendations are stored in a cache in the Advisor service.
POST https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Advisor/generateRecommendations?api-version=2026-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 202 Accepted |
The request has been accepted for processing, but processing has not yet completed. Headers
|
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
GenerateRecommendations
Sample request
POST https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789012/providers/Microsoft.Advisor/generateRecommendations?api-version=2026-10-01
Sample response
Location: https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789012/providers/Microsoft.Advisor/generateRecommendations/123e4567-e89b-12d3-a456-426614174000?api-version=2026-10-01
Retry-After: 60
Definitions
| Name | Description |
|---|---|
|
Arm |
|
|
ARMError |
ARM error response body. |
ArmErrorResponse
| Name | Type | Description |
|---|---|---|
| error |
ARM error response body. |
ARMErrorResponseBody
ARM error response body.
| Name | Type | Description |
|---|---|---|
| code |
string |
Gets or sets the string that can be used to programmatically identify the error. |
| message |
string |
Gets or sets the string that describes the error in detail and provides debugging information. |